/*
 * @Author: your name
 * @Date: 2021-07-26 08:54:08
 * @LastEditTime: 2021-07-29 23:13:56
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: /TracerMethodology_PC/src/pages/DepartmentMana/service.js
 */

import { request } from 'umi';


//获取责任中心对应列表
export async function getResponsibilityCenterConnectList(params, options) {
    return request('/api/costAccount/centerDepartment/list', {
      method: 'GET',
      params:{...params},
      ...(options || {}),
    });
}


//获取责任中心对应可绑定科室列表
export async function getResponsibilityCenterConnectableList(params, options) {
  
  return request('/api/costAccount/costresponsibilitydepartment/getById', {
    method: 'GET',
    params:{...params},
    ...(options || {}),
  });
}

//保存绑定信息
export async function saveResponsibilityCenterConnected(body, options) {
  return request('/api/costAccount/centerDepartment/save', {
    method: 'POST',
    data:{...body},
    ...(options || {}),
  });
}



